Bug 430477 - Can't go [Back] to loader installation method screen
Can't go [Back] to loader installation method screen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 08:27 EST by James Laska
Modified: 2013-09-02 02:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-21 16:15:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2008-01-28 08:27:04 EST
Description of problem:

Hitting [Back] at the "NFS Setup" screen will not take me back to the
installation source screen.

Version-Release number of selected component (if applicable):

rawhide-20080128 (anaconda-11.4.0.27-1)

How reproducible:


Steps to Reproduce:
1. Boot installer
2. Enter lang=en
3. Enter keymap=us  (this prompt did not happen ... expected?)
4. Select NFS directory installation source
  4b. if using a xen pv guest ... manually select xenblk device
5. Hit [Back]
          +----------------------+ NFS Setup +----------------------+           
          |                                                         |           
          | Please enter the URL containing NFS on your             |           
          | server.                                                 |           
          |                                                         |           
          |       NFS server name:  ________________________        |           
          |       Fedora directory: ________________________        |           
          |                                                         |           
          |          +----+                     +------+            |           
          |          | OK |                     | Back |            |           
          |          +----+                     +------+            |           
          |                                      ^^^                |           
          |                                                         |           
          +---------------------------------------------------------+           
           +-------------------------------------------------------+            
           |                                                       |            
           | Sending request for IP information for eth0...        |            
           |                                                       |            
           +-------------------------------------------------------+            

  
Actual results:

Hitting [Back] takes me to the NFS directory screen again

          +----------------------+ NFS Setup +----------------------+           
          |                                                         |           
          | Please enter the URL containing NFS on your             |           
          | server.                                                 |           
          |                                                         |           
          |       NFS server name:  ________________________        |           
          |       Fedora directory: ________________________        |           
          |                                                         |           
          |          +----+                     +------+            |           
          |          | OK |                     | Back |            |           
          |          +----+                     +------+            |           
          |                                                         |           
          |                                                         |           
          +---------------------------------------------------------+           

Expected results:

Able to choose an alternative installation source

                     +------+ Installation Method +------+                      
                     |                                   |                      
                     | What type of media contains the   |                      
                     | packages to be installed?         |                      
                     |                                   |                      
                     |           Local CD/DVD            |                      
                     |           Hard drive              |                      
                     |           NFS directory           |                      
                     |           URL                     |                      
                     |                                   |                      
                     |     +----+          +------+      |                      
                     |     | OK |          | Back |      |                      
                     |     +----+          +------+      |                      
                     |                                   |                      
                     |                                   |                      
                     +-----------------------------------+                      

Additional info:

Loader networking flags?  eeek :(
Comment 1 Chris Lumens 2008-01-28 11:06:09 EST
Committed a potential fix, but we need to test the next build of anaconda and
make sure I didn't break anything else in the process.
Comment 2 Bug Zapper 2008-05-14 00:54:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.